## paxctl 0.2

=== Makefile ===
CC:=gcc
CP:=cp
CFLAGS:=-Wall -W -O2# -fPIC
DESTDIR:=
LDFLAGS:=#-Wl,-pie
MANDIR:=/usr/share/man/man1
MKDIR:=mkdir -p
PROG:=paxctl
RM:=rm

all: $(PROG)

$(PROG): $(PROG).o
	$(CC) $(LDFLAGS) -o $@ $<

$(PROG).o: $(PROG).c $(PROG).h
	$(CC) -c $(CFLAGS) -o $@ $<

install:
	$(MKDIR) $(DESTDIR)/sbin $(DESTDIR)$(MANDIR)
	$(CP) $(PROG) $(DESTDIR)/sbin
	$(CP) $(PROG).1 $(DESTDIR)$(MANDIR)

clean:
	$(RM) -f $(PROG) $(PROG).o core

## paxctl 0.3

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 $(PROG).o: $(PROG).c $(PROG).h
 	$(CC) -c $(CFLAGS) -o $@ $<
 
-install:
+install: $(PROG)
 	$(MKDIR) $(DESTDIR)/sbin $(DESTDIR)$(MANDIR)
 	$(CP) $(PROG) $(DESTDIR)/sbin
 	$(CP) $(PROG).1 $(DESTDIR)$(MANDIR)

## paxctl 0.5

=== Makefile ===
CC:=gcc
CP:=cp
CFLAGS:=-Os -ggdb -Wall -W -Wcast-qual -Wcast-align -Wbad-function-cast -Wshadow -Wwrite-strings -Wnested-externs -Winline -Wredundant-decls -Waggregate-return -Wformat=2 -Wpointer-arith -Wconversion -Wmissing-declarations -Wmissing-prototypes
# -Wunreachable-code -Wdisabled-optimization
DESTDIR:=
LDFLAGS:=
MANDIR:=/usr/share/man/man1
#MKDIR:=mkdir -p
INSTALL:=install
PROG:=paxctl
RM:=rm

all: $(PROG)

$(PROG): $(PROG).o
	$(CC) $(LDFLAGS) -o $@ $<

$(PROG).o: $(PROG).c $(PROG).h
	$(CC) -c $(CFLAGS) -o $@ $<

install: $(PROG)
#	$(MKDIR) $(DESTDIR)/sbin $(DESTDIR)$(MANDIR)
#	$(CP) $(PROG) $(DESTDIR)/sbin
#	$(CP) $(PROG).1 $(DESTDIR)$(MANDIR)
	$(INSTALL) -D --owner 0 --group 0 --mode a=rx $(PROG) $(DESTDIR)/sbin/$(PROG)
	$(INSTALL) -D --owner 0 --group 0 --mode a=r $(PROG).1 $(DESTDIR)/$(MANDIR)/$(PROG).1

clean:
	$(RM) -f $(PROG) $(PROG).o core

## paxctl 0.6

=== Makefile ===
CC:=gcc
CFLAGS:=-Os -ggdb -Wall -W -Wcast-qual -Wcast-align -Wbad-function-cast -Wshadow -Wwrite-strings -Wnested-externs -Winline -Wredundant-decls -Waggregate-return -Wformat=2 -Wpointer-arith -Wconversion -Wmissing-declarations -Wmissing-prototypes
# -Wunreachable-code -Wdisabled-optimization
DESTDIR:=
LDFLAGS:=
MANDIR:=/usr/share/man/man1
#MKDIR:=mkdir -p
INSTALL:=install
PROG:=paxctl
RM:=rm

all: $(PROG)

$(PROG): $(PROG).o
	$(CC) $(LDFLAGS) -o $@ $<

$(PROG).c: $(PROG).h $(PROG)-elf.c

$(PROG).o: $(PROG).c
	$(CC) -c $(CFLAGS) -o $@ $<

install: $(PROG)
#	$(MKDIR) $(DESTDIR)/sbin $(DESTDIR)$(MANDIR)
	$(INSTALL) -D --owner 0 --group 0 --mode a=rx $(PROG) $(DESTDIR)/sbin/$(PROG)
	$(INSTALL) -D --owner 0 --group 0 --mode a=r $(PROG).1 $(DESTDIR)/$(MANDIR)/$(PROG).1

clean:
	$(RM) -f $(PROG) $(PROG).o core

=== debian/changelog ===
paxctl (0.6-1) unstable; urgency=low

  * New upstream release.
  * Change to 3.0 (quilt) source format and update packaging bits.
  * Update package description (closes: #569634).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 03 Mar 2012 17:57:51 +0100

paxctl (0.5-1) unstable; urgency=low

  * Update Standards-Version to 3.8.0 . Correct debian/copyright .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Wed, 16 Jul 2008 21:54:03 +0000

paxctl (0.5-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release.
  * Adding watch file. 
  * Adding copyright information to debian/copyright.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 15 Jul 2008 02:43:49 +0200

paxctl (0.3-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun,  4 Sep 2005 21:34:19 +0200

paxctl (0.2-2) unstable; urgency=low

  * Changed email address.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Fri, 26 Nov 2004 20:24:33 +0100

paxctl (0.2-1) unstable; urgency=low

  * Initial release (closes: #244469).

 -- László Böszörményi (GCS) <gcs@lsc.hu>  Sun, 18 Apr 2004 15:01:07 +0000

## paxctl 0.7

=== debian/changelog ===
paxctl (0.7-1) unstable; urgency=low

  * New upstream release (closes: #671042).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Tue, 01 May 2012 17:21:13 +0200

=== debian/control ===
Source: paxctl
Section: admin
Priority: extra
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
Build-Depends: debhelper (>= 8.0.0)
Homepage: http://pax.grsecurity.net/
Standards-Version: 3.9.3

Package: paxctl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: new PaX control program for using the PT_PAX_FLAGS marking
 paxctl may be used to control PaX flags on a per-binary basis. PaX is a set
 of kernel security patches to enhance a system's security. It is part of
 grsecurity (linux-patch-grsecurity2), among others.

=== debian/rules ===
#!/usr/bin/make -f

clean:
	dh_testdir

	rm -f build-stamp install-stamp
	$(MAKE) clean

	dh_clean

build-arch: build-stamp
build-indep: build-stamp

build: build-arch build-indep
build-stamp:
	dh_testdir

	$(MAKE)

	touch $@

install: install-stamp
install-stamp:
	dh_testdir

	install -d $(CURDIR)/debian/paxctl/sbin/
	install -m0755 paxctl $(CURDIR)/debian/paxctl/sbin/

	touch $@

binary-indep: build install

binary-arch: build install
	dh_testdir

	dh_installdocs README
	dh_installman paxctl.1
	dh_installchangelogs ChangeLog
	dh_compress
	dh_strip
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: clean build install binary binary-indep binary-arch

=== debian/watch ===
version=3

http://pax.grsecurity.net/paxctl-(.*).tar.gz

## paxctl 0.8

=== debian/changelog ===
paxctl (0.8-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.9.5 and debhelper level to 9 .

  [ Bart Martens <bartm@debian.org> ]
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 03 Jun 2014 20:20:20 +0000

## paxctl 0.9

=== Makefile ===
--- 
+++ 
@@ -14,9 +14,7 @@
 $(PROG): $(PROG).o
 	$(CC) $(LDFLAGS) -o $@ $<
 
-$(PROG).c: $(PROG).h $(PROG)-elf.c
-
-$(PROG).o: $(PROG).c
+$(PROG).o: $(PROG).c $(PROG).h $(PROG)-elf.c
 	$(CC) -c $(CFLAGS) -o $@ $<
 
 install: $(PROG)

=== debian/changelog ===
paxctl (0.9-2) unstable; urgency=medium

  * Update watch file.
  * Update debhelper level to 13 .
  * Update Standards-Version to 4.6.1 .

  [ Chris Lamb <lamby@debian.org> ]
  * Apply a patch by Vagrant Cascadian to make the build reproducible
    (closes: #1020804).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 17 Nov 2022 22:58:13 +0100

paxctl (0.9-1) unstable; urgency=low

  * New upstream release.
  * Use short debhelper rules format.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 06 Sep 2014 13:16:48 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: paxctl
 Section: admin
-Priority: extra
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
-Build-Depends: debhelper (>= 8.0.0)
-Homepage: http://pax.grsecurity.net/
-Standards-Version: 3.9.3
+Priority: optional
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Build-Depends: debhelper-compat (= 13)
+Homepage: https://pax.grsecurity.net/
+Standards-Version: 4.6.1
 
 Package: paxctl
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(CFLAGS)"

=== debian/watch ===
version=4
https://pax.grsecurity.net/paxctl-(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))
